/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "vcuentas_bancos")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VcuentasBancos.findAll", query = "SELECT v FROM VcuentasBancos v"),
        @NamedQuery(name = "VcuentasBancos.findByCodigoBanco", query = "SELECT v FROM VcuentasBancos v WHERE v.codigoBanco = :codigoBanco"),
        @NamedQuery(name = "VcuentasBancos.findByCorrelativo", query = "SELECT v FROM VcuentasBancos v WHERE v.correlativo = :correlativo"),
        @NamedQuery(name = "VcuentasBancos.findByTipoCuenta", query = "SELECT v FROM VcuentasBancos v WHERE v.tipoCuenta = :tipoCuenta"),
        @NamedQuery(name = "VcuentasBancos.findByDescripcionCuenta", query = "SELECT v FROM VcuentasBancos v WHERE v.descripcionCuenta = :descripcionCuenta"),
        @NamedQuery(name = "VcuentasBancos.findByNumeroCuenta", query = "SELECT v FROM VcuentasBancos v WHERE v.numeroCuenta = :numeroCuenta"),
        @NamedQuery(name = "VcuentasBancos.findByInicioTalonario", query = "SELECT v FROM VcuentasBancos v WHERE v.inicioTalonario = :inicioTalonario"),
        @NamedQuery(name = "VcuentasBancos.findByFinTalonario", query = "SELECT v FROM VcuentasBancos v WHERE v.finTalonario = :finTalonario"),
        @NamedQuery(name = "VcuentasBancos.findByNumeracionSiguiente", query = "SELECT v FROM VcuentasBancos v WHERE v.numeracionSiguiente = :numeracionSiguiente"),
        @NamedQuery(name = "VcuentasBancos.findByCuentaContable", query = "SELECT v FROM VcuentasBancos v WHERE v.cuentaContable = :cuentaContable")})
public class VcuentasBancos implements Serializable {
    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "codigo_banco")
    private String codigoBanco;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "correlativo")
    @Id
    private String correlativo;
    @Basic(optional = false)
    @NotNull
    @Column(name = "tipo_cuenta")
    private Character tipoCuenta;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 30)
    @Column(name = "descripcion_cuenta")
    private String descripcionCuenta;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 20)
    @Column(name = "numero_cuenta")
    private String numeroCuenta;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 9)
    @Column(name = "inicio_talonario")
    private String inicioTalonario;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 9)
    @Column(name = "fin_talonario")
    private String finTalonario;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 9)
    @Column(name = "numeracion_siguiente")
    private String numeracionSiguiente;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 14)
    @Column(name = "cuenta_contable")
    private String cuentaContable;

    public VcuentasBancos() {
    }

    public String getCodigoBanco() {
        return codigoBanco;
    }

    public void setCodigoBanco(String codigoBanco) {
        this.codigoBanco = codigoBanco;
    }

    public String getCorrelativo() {
        return correlativo;
    }

    public void setCorrelativo(String correlativo) {
        this.correlativo = correlativo;
    }

    public Character getTipoCuenta() {
        return tipoCuenta;
    }

    public void setTipoCuenta(Character tipoCuenta) {
        this.tipoCuenta = tipoCuenta;
    }

    public String getDescripcionCuenta() {
        return descripcionCuenta;
    }

    public void setDescripcionCuenta(String descripcionCuenta) {
        this.descripcionCuenta = descripcionCuenta;
    }

    public String getNumeroCuenta() {
        return numeroCuenta;
    }

    public void setNumeroCuenta(String numeroCuenta) {
        this.numeroCuenta = numeroCuenta;
    }

    public String getInicioTalonario() {
        return inicioTalonario;
    }

    public void setInicioTalonario(String inicioTalonario) {
        this.inicioTalonario = inicioTalonario;
    }

    public String getFinTalonario() {
        return finTalonario;
    }

    public void setFinTalonario(String finTalonario) {
        this.finTalonario = finTalonario;
    }

    public String getNumeracionSiguiente() {
        return numeracionSiguiente;
    }

    public void setNumeracionSiguiente(String numeracionSiguiente) {
        this.numeracionSiguiente = numeracionSiguiente;
    }

    public String getCuentaContable() {
        return cuentaContable;
    }

    public void setCuentaContable(String cuentaContable) {
        this.cuentaContable = cuentaContable;
    }

}
